Skip to main content
GET
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
coverageOptions
Get coverage options for a facility
curl --request GET \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/coverageOptions \
  --header 'x-api-key: <x-api-key>'
[
  {
    "coverageUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "description": "Basic Protection",
    "premiumInPennies": 999,
    "coverageAmountInPennies": 250000,
    "isDefault": true,
    "allowNewEnrollments": true,
    "provider": "SAFE_LEASE"
  }
]

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

Response

200 - application/json

Array of coverage options for the facility, default plan first then alphabetical

coverageUuid
string<uuid>
required

UUID of the coverage plan

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

description
string | null
required

Description of the coverage plan

Example:

"Basic Protection"

premiumInPennies
number
required

Monthly premium amount in pennies

Example:

999

coverageAmountInPennies
number
required

Coverage amount in pennies

Example:

250000

isDefault
boolean
required

Whether this is the default coverage plan for the facility

Example:

true

allowNewEnrollments
boolean
required

Whether new enrollments are allowed for this coverage plan

Example:

true

provider
enum<string>
required

Coverage provider.

Available options:
SAFE_LEASE,
SECURE_LEASE,
OTHER
Example:

"SAFE_LEASE"